/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2002 rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

   ----------------------------------------------------------------------

   self-commenting
   
*/
/****************************************************************************
 *    IMPLEMENTATION HEADERS
 ****************************************************************************/

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include <stdio.h>
#include <stdarg.h>

#include "error.h"

/****************************************************************************
 *    IMPLEMENTATION PRIVATE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/

#ifndef DEBUG
# define DEBUG 0
#endif

#define DEBUG_FILE "debug.log"

/****************************************************************************
 *    IMPLEMENTATION PRIVATE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    IMPLEMENTATION PRIVATE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/
/****************************************************************************
 *    IMPLEMENTATION REQUIRED EXTERNAL REFERENCES (AVOID)
 ****************************************************************************/
/****************************************************************************
 *    IMPLEMENTATION PRIVATE DATA
 ****************************************************************************/

#if DEBUG
static FILE *debug_file = NULL;
#endif

/****************************************************************************
 *    INTERFACE DATA
 ****************************************************************************/
/****************************************************************************
 *    IMPLEMENTATION PRIVATE FUNCTION PROTOTYPES
 ****************************************************************************/
/****************************************************************************
 *    IMPLEMENTATION PRIVATE FUNCTIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE FUNCTIONS
 ****************************************************************************/

void
debug_start (void)
{
#if DEBUG
  debug_file = fopen (DEBUG_FILE, "a");

  if (!debug_file)
    return;

  fprintf (debug_file, "start\n");
  fflush (debug_file);
#endif
}


void
debug_end (void)
{
#if DEBUG
  if (!debug_file)
    return;

  fprintf (debug_file, "\n");
  fflush (debug_file);
  fclose (debug_file);
#endif
}


void
debug_msg (const char *fmt, ...)
{
#if DEBUG
  va_list arg;

  if (!debug_file)
    return;

  va_start (arg, fmt);
  vfprintf (debug_file, fmt, arg);
  fprintf (debug_file, "\n");
  fflush (debug_file);
  va_end (arg);
#endif
}



void
debug_show (const char *fmt, ...)
{
#if DEBUG
  va_list arg;

  if (!debug_file)
    return;

  va_start (arg, fmt);
  error_vmsg (fmt, arg);
  va_end (arg);
#endif
}

/****************************************************************************
 *    INTERFACE CLASS BODIES
 ****************************************************************************/
/****************************************************************************
 *
 *    END MODULE debug.c
 *
 ****************************************************************************/
