#ifndef __FETCH_H__
#define __FETCH_H__ 1
/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2003 rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/
/*****************************************************************************
 *    INTERFACE REQUIRED HEADERS
 ****************************************************************************/
/*****************************************************************************
 *    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE DATA DECLARATIONS
 ****************************************************************************/

extern int fetch_got_mail;

/****************************************************************************
 *    INTERFACE FUNCTION PROTOTYPES
 ****************************************************************************/

extern void fetch_all (void);
/** fetch remaining messages from server */
extern void fetch_get_rest (void);
/** fetch list of new messages from remote server */
extern void fetch_open (void);
/** fetch list of all messages from remote server */
extern void fetch_open_all (void);
/** close this window */
extern void fetch_close (void);
/** move on to the next position */
extern void fetch_next (void);
/** move to the previous position */
extern void fetch_prev (void);
/** move on to the next page */
extern void fetch_next_page (void);
/** move to the previous page */
extern void fetch_prev_page (void);
/** move to the first position */
extern void fetch_first (void);
/** move to the last position */
extern void fetch_last (void);
/** undelete */
extern void fetch_rset (void);
extern void fetch_del_all (void);
/** delete message */
extern void fetch_del_mail (void);
/** fetch message */
extern void fetch_get_mail (void);
/** select message */
extern void fetch_mark_mail (void);
/** unselect message */
extern void fetch_unmark_mail (void);
/** select all */
extern void fetch_mark_all (void);
/** unselect all */
extern void fetch_unmark_all (void);
extern void fetch_save_pop_list (void);
extern void fetch_load_pop_list (void);
extern void fetch_merge_lists (void);
extern void fetch_remove_till_limit (void);
extern void fetch_remove_till_count (void);

/****************************************************************************
 *    INTERFACE OBJECT CLASS DEFINITIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE TRAILING HEADERS
 ****************************************************************************/
/****************************************************************************
 *
 *    END HEADER fetch.h
 *
 ****************************************************************************/
#endif
