#ifndef __FILE_H__
#define __FILE_H__ 1
/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2003 rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/
/*****************************************************************************
 *    INTERFACE REQUIRED HEADERS
 ****************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <dirent.h>

#include "rstring.h"

/*****************************************************************************
 *    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE DATA DECLARATIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE FUNCTION PROTOTYPES
 ****************************************************************************/

extern int   file_part (const char *fname, off_t offset_start,
                        off_t offset_end, char **place);
extern int   file_whole (FILE *fp, char **place, size_t *size);
extern int   file_size (const char *fname);
extern void  file_free_buffer (char *buffer, size_t size);
extern char *file_with_dir (const char *dir, const char *file);
extern FILE *file_temp_file (char **temp_name);
extern FILE *file_open (char *fname, const char *mode, int flags);
extern void  file_free_resources (void);
extern int   file_rename (const char *oldname, const char *newname);
extern rstring_t *file_dir_items (const char *dir,
                                  int (*select)(const struct dirent *));
extern char *file_expand_tilde (char *dir);

/****************************************************************************
 *    INTERFACE OBJECT CLASS DEFINITIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE TRAILING HEADERS
 ****************************************************************************/
/****************************************************************************
 *
 *    END HEADER file.h
 *
 ****************************************************************************/
#endif
