#ifndef __MAILREADER_H__
#define __MAILREADER_H__ 1
/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2002 bazyl
   Copyright (C) 2003 rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/
/*****************************************************************************
 *    INTERFACE REQUIRED HEADERS
 ****************************************************************************/
/*****************************************************************************
 *    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE DATA DECLARATIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE FUNCTION PROTOTYPES
 ****************************************************************************/

/** display message contents */
extern void mailreader_init (void);
/** close this window */
extern void mailreader_close (void);
/** scroll up */
extern void mailreader_line_up (void);
/** scroll down */
extern void mailreader_line_down (void);
/** scroll page up */
extern void mailreader_page_up (void);
/** scroll page down */
extern void mailreader_page_down (void);
/** move to the top */
extern void mailreader_top (void);
/** move to the bottom */
extern void mailreader_bottom (void);
/** refresh this window */
extern void mailreader_refresh (void);
/** open attachments window */
extern void mailreader_attach (void);
extern void mailreader_change_mime (void);
/** toggle display (header / message) */
extern void mailreader_header_switch (void);

/****************************************************************************
 *    INTERFACE OBJECT CLASS DEFINITIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE TRAILING HEADERS
 ****************************************************************************/
/****************************************************************************
 *
 *    END HEADER mailreader.h
 *
 ****************************************************************************/
#endif
