#ifndef __RCHTYPE_H__
#define __RCHTYPE_H__ 1
/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2003 rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

   ----------------------------------------------------------------------

   See rstring.h for more comments.

*/
/*****************************************************************************
 *    INTERFACE REQUIRED HEADERS
 ****************************************************************************/

#include <stdlib.h>

#include "ecurses.h"

/*****************************************************************************
 *    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/

struct rchtype {
  chtype   **array;
  int        size;
  int        count;
  unsigned   flags;
};

typedef struct rchtype rchtype_t;

/****************************************************************************
 *    INTERFACE DATA DECLARATIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE FUNCTION PROTOTYPES
 ****************************************************************************/

extern rchtype_t *rchtype_create_size (int size);
extern rchtype_t *rchtype_create (void);
extern void       rchtype_destroy (rchtype_t *ptr);
extern void       rchtype_add (rchtype_t *ptr, chtype *str);
extern void       rchtype_add_string (rchtype_t *ptr, char *fmt, ...);
extern void       rchtype_remove (rchtype_t *ptr, unsigned index);
extern void       rchtype_shrink (rchtype_t *ptr);
extern void       rchtype_set_mask (int modifier);
extern void       rchtype_unset_mask (int modifier);
extern rchtype_t *rchtype_split_lines (char *str, size_t line_len);
extern rchtype_t *rchtype_join (rchtype_t *x, rchtype_t *y);

/****************************************************************************
 *    INTERFACE OBJECT CLASS DEFINITIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE TRAILING HEADERS
 ****************************************************************************/
/****************************************************************************
 *
 *    END HEADER rchtype.h
 *
 ****************************************************************************/
#endif
