#ifndef __SMTP_H__
#define __SMTP_H__ 1
/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2002 bazyl, rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

   ----------------------------------------------------------------------

   1. Beginning connection

   You can pass smtp_begin_connection 0 as port number.  It will then use
   system resources (/etc/services) to find appropriate port number to
   connect to.
   You can always pass smtp_helo any value you find best.  If you are sure,
   that your host is listed in domain name system you should give non-zero
   value.  If your host is not listed (ppp connection) you should give
   zero value.  This behaviour is RFC2821 - conformant but not used in real
   life.  So it is up to you, how you will use it.


   2. Sending e-mail.

   This module will try to get receivers from file.  There has to be
   "To:" line with list of addresses just like usual.


   3. Closing connection

   You should always check what smtp functions return.  If any of them
   returns failure you should call smtp_finish_connection which will close
   connection and free resources.
   
*/
/*****************************************************************************
 *    INTERFACE REQUIRED HEADERS
 ****************************************************************************/

#include "raddress.h"

/*****************************************************************************
 *    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE DATA DECLARATIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE FUNCTION PROTOTYPES
 ****************************************************************************/

extern int  smtp_begin_connection (char *hostname, unsigned short port);
extern void smtp_finish_connection (void);
extern int  smtp_helo (int fqdn);
extern int  smtp_ehlo (int fqdn);
extern int  smtp_auth (char *user, char *pass);
extern int  smtp_mail_from (const char *email);
extern int  smtp_send_file (const char *filename);
extern int  smtp_send_mail (const char *file, raddress_t *receivers);
  
/****************************************************************************
 *    INTERFACE OBJECT CLASS DEFINITIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE TRAILING HEADERS
 ****************************************************************************/
/****************************************************************************
 *
 *    END HEADER smtp.h
 *
 ****************************************************************************/
#endif
